local Preference = ...
local FriendlyName = ...

-- local Default = tostring(Default);

assert( Preference );
assert( FriendlyName );

local PrefY = -12;
local NameY = 12;

local t = Def.ActorFrame {};

t[#t+1] = LoadActor(THEME:GetPathB("","frame"));

t[#t+1] = Def.ActorFrame {
	LoadFont("_Preference value") .. {
		Text=tostring(PREFSMAN:GetPreference(Preference));
		InitCommand=cmd(y,PrefY;zoom,0.75;NoStroke;shadowlength,1;playcommand,"Refresh");
--[[ 		OnCommand=cmd(playcommand,"Refresh");
		CoinModeChangedMessageCommand=cmd(playcommand,"Refresh");
		ScreenChangedMessageCommand=cmd(playcommand,"Refresh"); --]]
	};
	LoadFont("_Preference name") .. {
		Text=FriendlyName;
		InitCommand=cmd(y,NameY;zoom,0.5;NoStroke;shadowlength,1);
	};
};

return t